aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkfraser@localhost.localdomain <kfraser@localhost.localdomain>2007-05-15 10:03:14 +0100
committerkfraser@localhost.localdomain <kfraser@localhost.localdomain>2007-05-15 10:03:14 +0100
commit4fcd011a83da98c3eb3262129cd5026f9200a334 (patch)
treec18056f5ea22884b748d8bafa515951a92a689d6
parent67770ae5abb15d5b29528bdcb4a6e323b59398e2 (diff)
downloadxen-4fcd011a83da98c3eb3262129cd5026f9200a334.tar.gz
xen-4fcd011a83da98c3eb3262129cd5026f9200a334.tar.bz2
xen-4fcd011a83da98c3eb3262129cd5026f9200a334.zip
tools: check for curl-devel and libxml2-devel
when they are required for LIBXENAPI_BINDINGS. Signed-off-by: Jan Beulich <jbeulich@novell.com>
-rw-r--r--tools/check/Makefile4
-rwxr-xr-xtools/check/check_curl38
-rwxr-xr-xtools/check/check_xml238
3 files changed, 78 insertions, 2 deletions
diff --git a/tools/check/Makefile b/tools/check/Makefile
index 0b87aea259..98f125f048 100644
--- a/tools/check/Makefile
+++ b/tools/check/Makefile
@@ -7,7 +7,7 @@ all: build
# Check this machine is OK for building on.
.PHONY: build
build:
- XENFB_TOOLS=$(XENFB_TOOLS) ./chk build
+ XENFB_TOOLS=$(XENFB_TOOLS) LIBXENAPI_BINDINGS=$(LIBXENAPI_BINDINGS) ./chk build
# Check this machine is OK for installing on.
# DO NOT use this check from 'make install' in the parent
@@ -15,7 +15,7 @@ build:
# copy rather than actually installing.
.PHONY: install
install:
- XENFB_TOOLS=$(XENFB_TOOLS) ./chk install
+ XENFB_TOOLS=$(XENFB_TOOLS) LIBXENAPI_BINDINGS=$(LIBXENAPI_BINDINGS) ./chk install
.PHONY: clean
clean:
diff --git a/tools/check/check_curl b/tools/check/check_curl
new file mode 100755
index 0000000000..7176c896c7
--- /dev/null
+++ b/tools/check/check_curl
@@ -0,0 +1,38 @@
+#!/bin/sh
+# CHECK-BUILD CHECK-INSTALL
+
+if [ ! "$LIBXENAPI_BINDINGS" = "y" ]
+then
+ echo -n "unused, "
+ exit 0
+fi
+
+RC=0
+
+CURL_CONFIG="$(which curl-config)"
+tmpfile=$(mktemp)
+
+if test -z ${CURL_CONFIG}; then
+ RC=1
+else
+ ${CURL_CONFIG} --libs 2>&1 > /dev/null
+ RC=$?
+fi
+
+if test $RC -ne 0; then
+ echo "FAILED"
+ echo " *** curl-config is missing. "
+ echo " *** Please install curl-devel."
+elif ! ld $($CURL_CONFIG --libs) -o $tmpfile >/dev/null 2>&1; then
+ echo "FAILED"
+ echo " *** dependency libraries for curl are missing: "
+ RC=1
+ for i in $(ld $($CURL_CONFIG --libs) -o $tmpfile 2>&1 >/dev/null); do
+ case $i in
+ -l*) echo lib${i#-l}
+ esac
+ done
+fi
+rm -f $tmpfile
+
+exit $RC
diff --git a/tools/check/check_xml2 b/tools/check/check_xml2
new file mode 100755
index 0000000000..782feda39e
--- /dev/null
+++ b/tools/check/check_xml2
@@ -0,0 +1,38 @@
+#!/bin/sh
+# CHECK-BUILD CHECK-INSTALL
+
+if [ ! "$LIBXENAPI_BINDINGS" = "y" ]
+then
+ echo -n "unused, "
+ exit 0
+fi
+
+RC=0
+
+XML2_CONFIG="$(which xml2-config)"
+tmpfile=$(mktemp)
+
+if test -z ${XML2_CONFIG}; then
+ RC=1
+else
+ ${XML2_CONFIG} --libs 2>&1 > /dev/null
+ RC=$?
+fi
+
+if test $RC -ne 0; then
+ echo "FAILED"
+ echo " *** xml2-config is missing. "
+ echo " *** Please install libxml2-devel."
+elif ! ld $($XML2_CONFIG --libs) -o $tmpfile >/dev/null 2>&1; then
+ echo "FAILED"
+ echo " *** dependency libraries for xml2 are missing: "
+ RC=1
+ for i in $(ld $($XML2_CONFIG --libs) -o $tmpfile 2>&1 >/dev/null); do
+ case $i in
+ -l*) echo lib${i#-l}
+ esac
+ done
+fi
+rm -f $tmpfile
+
+exit $RC